Skip to main content
PUT
/
publishers
/
{publisherId}
/
nodes
/
{nodeId}
/
versions
/
{versionId}
Update changelog and deprecation status of a node version
curl --request PUT \
  --url https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "changelog": "<string>",
  "deprecated": true
}
'
import requests

url = "https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}"

payload = {
"changelog": "<string>",
"deprecated": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({changelog: '<string>', deprecated: true})
};

fetch('https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "changelog": "<string>",
  "comfy_node_extract_status": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "dependencies": [
    "<string>"
  ],
  "deprecated": true,
  "downloadUrl": "<string>",
  "id": "<string>",
  "node_id": "<string>",
  "status_reason": "<string>",
  "supported_accelerators": [
    "<string>"
  ],
  "supported_comfyui_frontend_version": "<string>",
  "supported_comfyui_version": "<string>",
  "supported_os": [
    "<string>"
  ],
  "tags": [
    "<string>"
  ],
  "tags_admin": [
    "<string>"
  ],
  "version": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

publisherId
string
required
nodeId
string
required
versionId
string
required

Body

application/json
changelog
string

The changelog describing the version changes.

deprecated
boolean

Whether the version is deprecated.

Response

Version updated successfully

changelog
string

Summary of changes made in this version

comfy_node_extract_status
string

The status of comfy node extraction process.

createdAt
string<date-time>

The date and time the version was created.

dependencies
string[]

A list of pip dependencies required by the node.

deprecated
boolean

Indicates if this version is deprecated.

downloadUrl
string

[Output Only] URL to download this version of the node

id
string
node_id
string

The unique identifier of the node.

status
enum<string>
Available options:
NodeVersionStatusActive,
NodeVersionStatusDeleted,
NodeVersionStatusBanned,
NodeVersionStatusPending,
NodeVersionStatusFlagged
status_reason
string
supported_accelerators
string[]

List of accelerators (e.g. CUDA, DirectML, ROCm) that this node supports

supported_comfyui_frontend_version
string

Supported versions of ComfyUI frontend

supported_comfyui_version
string

Supported versions of ComfyUI

supported_os
string[]

List of operating systems that this node supports

tags
string[]
tags_admin
string[]

Admin-only tags for security warnings and admin metadata

version
string

The version identifier, following semantic versioning. Must be unique for the node.